
/* This file contains sample source code to be used with the Microsoft 'C'
 * compiler.  No SDK is required unless a resource file is to be used.
 * The functions in the SDK can be accessed by linking with a library
 * created by running ilib.exe on the USER.EXE and GDI.EXE in your
 * Window's System directory.
 */

#include <windows.h>
#include "exports.h"
#include "cwstart.h"
#pragma hdrstop


LIBMAIN    


/* When this DLL is first loaded either by LibPreLoad() or LibAutoLoad(),
 * the function _init() is invoked.  Within this function, all DLL specific
 * initialization should be performed such as:
 *
 *         - Defining any module global keystrokes or keymaps to be used
 *         - Exporting any functions to be accessed through LibFunctionExec()
 *         - Autoloading any other DLLs.
 *
 */
void DLL 
_init()
{
		// Export AppKeyHandler() for use by other CodeWright Functions
	LibExport( "int AppKeyHandler int int" );

		// Register AppKeyHandler() for execution when the
		// event EVENT_KEY_PRESSED is triggered
	EventRegister( EVENT_KEY_PRESSED, EVENT_NORMAL, "AppKeyHandler" );
}

int DLL
AppKeyHandler( int event, int data )
{
	switch (event)
	{
	case EVENT_KEY_PRESSED:		
		if ( data == 0x205d )  // 0x205d = Windows Application key.
					// Perform function assigned to <mouse_right_click>
			LibFunctionExec(KmapQAssignment("<mouse_right_click>"));
		break;
	}

    return 0;
}

